<template>
  <div class="hello">
    <h5 id="intro">{{ msg }}</h5>
    <h1 id="name">{{ msg2 }}</h1>
    <h3 id="mes">{{ msg3 }}</h3>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'

@Component
export default class Welcome extends Vue {
  @Prop() private msg!: string;
  @Prop() private msg2!: string;
  @Prop() private msg3!: string;
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss">
.hello {
  font-family: 'Times New Roman', Times, serif;
  white-space: pre-wrap;
  text-align: left;
}

#intro {
  margin-left: 32vw;
}

#name {
  margin-left: 35vw;
}

#mes {
  margin-left: 51vw;
}
</style>
